package ehu.student.collections;

import java.util.TreeSet;

/**
 * Calculo de las primeras palabras de una secuencia dada.
 * 
 * El usuario introducira tantas palabras como desee.
 * A continuacion, para cada valor K que indique el usuario,
 * se escribiran las K primeras palabras distintas de todas ellas.
 */
public class SeleccionSimpleDePrimerasPalabras {

    public static void main(String[] args){
        acm.io.IODialog dialog = new acm.io.IODialog();

        /* las palabras que diga el usuario se aaden a un conjunto */
        TreeSet<String> palabras = new TreeSet<String>();        
        while(dialog.readBoolean("Continuar aadiendo palabras?")){/*@\label{KPrimeras.read}@*/
            String s=dialog.readLine("Siguiente?");
            palabras.add(s); /* aadir "s" al conjunto de palabras leidas */
        }
        
        while(dialog.readBoolean("Continuar seleccionando?")){
            int K = dialog.readInt("K?");

            /*
             * Presentar las primeras K palabras
             */
            int contadorDePalabrasEscritas = 0; //escribir solo las K primeras!
            for (String s: palabras){/*@\label{KPrimeras.for}@*/ //Para cada palabra...
                System.out.println(s);//... se escribe
                contadorDePalabrasEscritas++;
                if (contadorDePalabrasEscritas == K){
                    /* Ya se han escrito las K primeras */
                    break;
                }
            }
        }
        System.exit(0);
    }
}
