package ehu.student.collections;

import java.util.TreeSet;

/**
 * Calculo de las primeras palabras de una secuencia dada.
 * 
 * El usuario introducira tantas palabras como desee.
 * A continuacion, para cada valor K que indique el usuario,
 * se escribiran las K primeras palabras distintas de todas ellas.
 */
public class SeleccionDePalabrasDemo {

    public static void main(String[] args)
    {
        LectorDeConjuntosDeString lector = 
            new LectorDeConjuntosDeString();
        TreeSet<String> palabras = 
            lector.nuevoConjuntoDeString();
        
        SeleccionadorDeElementosDeUnConjunto seleccionador =
            new SeleccionadorDeElementosDeUnConjunto();        

        acm.io.IODialog dialog = new acm.io.IODialog();        
        while(dialog.readBoolean("Continuar examinando el conjunto?")){
            int K = dialog.readInt("K? ");

            TreeSet<String> seleccion =
                //seleccionador.crearConjuntoConMayores(K, palabras);
                seleccionador.crearConjuntoConMenores(K, palabras);

            System.out.println(seleccion.toString());
        }
        System.exit(0);
    }
}
