package ehu.student.collections;

import java.util.TreeSet;

/**
 * Calculo de los mayores elementos de una secuencia
 * de valores introducida por el usuario.
 * 
 * El usuario introducira un valor numerico K
 * seguido por una secuencia de valores numericos.
 * El programa escribira los K mayores elementos distintos
 * de esa secuencia.
 */
public class SeleccionSimpleDeMayoresDeUnaSecuencia {

    public static void main(String[] args){
        acm.io.IODialog dialog = new acm.io.IODialog();

        int K = dialog.readInt("K? ");

        TreeSet<Integer> conjtoMayores = new TreeSet<Integer>();

        while(dialog.readBoolean("Continuar introduciendo enteros?")){
            int s=dialog.readInt("Siguiente entero?");

            conjtoMayores.add(s);
            if(conjtoMayores.size() > K){
                Integer x = conjtoMayores.first();
                conjtoMayores.remove(x);
            }
        }
        System.out.println(conjtoMayores.toString());
        System.exit(0);
    }
}
