package ehu.student.collections.limitaciones;

import java.util.ArrayList;

import ehu.student.collections.CartaBarajaInmutable;

/**
 * Limitaciones en el uso de ArrayList<CartaBarajaInmutable>
 */
public class ErrorUsoArrayListDeCartaBarajaInmutable {

    public static void main(String[] args)
    {
        ArrayList<CartaBarajaInmutable> lista =
            new ArrayList<CartaBarajaInmutable>();
        
        /* aadir elementos */
        CartaBarajaInmutable unaCarta = new CartaBarajaInmutable(0, 0);
        lista.add(unaCarta);
        lista.add(unaCarta);
        
        /* buscar elementos */
        boolean estaUna = lista.contains(unaCarta);
        
        CartaBarajaInmutable otraCartaIgual = new CartaBarajaInmutable(0, 0);
        boolean estaOtra = 
            lista.contains(otraCartaIgual); /* Resultado incorrecto? */
        
        String msg = 
            unaCarta + " esta? " + estaUna + "\n" +
            otraCartaIgual + " esta? " + estaOtra;
        System.out.println(msg);
    }
}
